ranges::v3::concepts::BidirectionalRange Struct Reference
Inheritance diagram for ranges::v3::concepts::BidirectionalRange:

## Public Member Functions

template<typename T >
auto | requires_ (T &t) -> decltype(concepts::valid_expr(concepts::model_of< BidirectionalIterator >(begin(t))))
Public Member Functions inherited from ranges::v3::concepts::refines< ForwardRange >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< ForwardRange >
using | base_concepts_t = meta::list< Concepts... >